From 740157724799686d9286d2f6b2b0f647e730cb4f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 31 2015 17:57:27 +0000
Subject: [PATCH 202/254] Set .panel-danger if archived.


---

diff --git a/hubs/widgets/chrome.py b/hubs/widgets/chrome.py
index 6a313aa..7dd7a96 100644
--- a/hubs/widgets/chrome.py
+++ b/hubs/widgets/chrome.py
@@ -39,7 +39,7 @@ def panel(title=None, klass="panel-default", key=None):
             return _panel_template.render(
                 content=content,
                 heading=heading,
-                klass=klass,
+                klass=klass(kwargs) if callable(klass) else klass,
                 **kwargs)
         return inner
     return decorator
diff --git a/hubs/widgets/cobwebs.py b/hubs/widgets/cobwebs.py
index 6f16810..2d5258a 100644
--- a/hubs/widgets/cobwebs.py
+++ b/hubs/widgets/cobwebs.py
@@ -5,7 +5,8 @@ import datetime
 import jinja2
 
 from hubs.widgets.chrome import panel
-chrome = panel(None, key='old', klass='panel-info')
+klass_switcher = lambda data: 'panel-danger' if data['archived'] else 'panel-info'
+chrome = panel(None, key='old', klass=klass_switcher)
 
 template = jinja2.Template("""
 {% if old %}
diff --git a/populate.py b/populate.py
index 5b4f7a2..a23dfe7 100755
--- a/populate.py
+++ b/populate.py
@@ -23,7 +23,7 @@ for username in users:
 session.commit()
 
 ############## Internationalizationteam
-hub = hubs.models.Hub(name='i18n', summary='The Internationalization Team')
+hub = hubs.models.Hub(name='i18n', summary='The Internationalization Team', archived=True)
 session.add(hub)
 
 widget = hubs.models.Widget(plugin='stats', index=0)

